<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.entbase.mapper.TREntBaseQurMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.entbase.entity.TREntBaseQur">
        <id column="PRIPID" property="pripid" />
        <result column="BIZSEQ" property="bizseq" />
        <result column="EMPNUM" property="empnum" />
        <result column="PARNUM" property="parnum" />
        <result column="LIMITPARNUM" property="limitparnum" />
        <result column="EXENUM" property="exenum" />
        <result column="TECHPERNUM" property="techpernum" />
        <result column="UNEMPNUM" property="unempnum" />
        <result column="WORKPRINUM" property="workprinum" />
        <result column="ISINVCORP" property="isinvcorp" />
        <result column="LOCUS" property="locus" />
        <result column="ISADCORP" property="isadcorp" />
        <result column="ISSMALLCOALMINE" property="issmallcoalmine" />
        <result column="ISAGR" property="isagr" />
        <result column="ISBROKER" property="isbroker" />
        <result column="BRAPRICORPSIGN" property="brapricorpsign" />
        <result column="ISSECRECY" property="issecrecy" />
        <result column="ISCHANGEENTTYPE" property="ischangeenttype" />
        <result column="ECOPROPERTY" property="ecoproperty" />
        <result column="ITEMTYPECODE" property="itemtypecode" />
        <result column="AREA_CODE" property="areaCode" />
        <result column="LAUPTIME" property="lauptime" />
        <result column="DEVELOPCODE" property="developcode" />
        <result column="FOREIGNNUM" property="foreignnum" />
        <result column="ISCOMBINE" property="iscombine" />
        <result column="AMERGE" property="amerge" />
        <result column="ISREGULATION" property="isregulation" />
        <result column="CHATYPE" property="chatype" />
        <result column="AGRCATE" property="agrcate" />
        <result column="Accounting" property="Accounting" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        PRIPID, BIZSEQ, EMPNUM, PARNUM, LIMITPARNUM, EXENUM, TECHPERNUM, UNEMPNUM, WORKPRINUM, ISINVCORP, LOCUS, ISADCORP, ISSMALLCOALMINE, ISAGR, ISBROKER, BRAPRICORPSIGN, ISSECRECY, ISCHANGEENTTYPE, ECOPROPERTY, ITEMTYPECODE, AREA_CODE, LAUPTIME, DEVELOPCODE, FOREIGNNUM, ISCOMBINE, AMERGE, ISREGULATION, CHATYPE, AGRCATE, Accounting
    </sql>

</mapper>
